## org.eclipse.amp.examples.heatbugs
Class HeatBugStyle2DGraphics

    java.lang.Object
      org.ascape.util.vis.DrawFeature
          org.eclipse.amp.examples.heatbugs.HeatBugStyle2DGraphics

All Implemented Interfaces:
  java.io.Serializable, HasName, PlatformDrawFeature

    public class HeatBugStyle2DGraphics

extends DrawFeature

Heat Bug Style 2D Java Implementation. Generated by AMF for model: Heatbugs.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.util.vis.DrawFeature
`name, nestedFeature`

Constructor Summary
`HeatBugStyle2DGraphics()`

Method Summary
`void` `draw(org.eclipse.draw2d.Graphics g, java.lang.Object object, int width, int height)`

Methods inherited from class org.ascape.util.vis.DrawFeature
`getName, getNestedFeature, setName, setNestedFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeatBugStyle2DGraphics

    public HeatBugStyle2DGraphics()

Method Detail

### draw

    public void draw(org.eclipse.draw2d.Graphics g,
                     java.lang.Object object,
                     int width,
                     int height)

  Specified by:
    `draw` in class `DrawFeature`
  Parameters:
    `g` - the Graphics context to draw into
    `object` - the object to interpret for drawing
    `width` - the width of the space that should be drawn into
    `height` - the height of the space that should be drawn into